<!DOCTYPE html>
<html xmlns:th="http://www.w3.org/1999/xhtml" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <title>Administration</title>
</head>
<body>
    <div th:insert="fragments/header :: home"></div>
    <div class="container my-5">
        <p>
            Welcome <span sec:authentication="principal.username">User</span>
        </p>
        <div sec:authorize="hasAuthority('ADMIN')">
            This content is only shown to administrators.
        </div>

        <div sec:authorize="hasAuthority('USER')">
            This content is only shown to users.
        </div>
        <h2>Member details</h2>
        <table class="table">
            <thead>
            <tr>
                <th scope="col">Username</th>
                <th scope="col">Password</th>
                <th scope="col">Roles</th>
            </tr>
            </thead>
            <tbody>
            <div th:each="user: ${users}">
                <tr>
                    <td th:text="${user.username}"/>
                    <td th:text="${user.password}"/>
                    <td th:text="${user.rolesString}"/>
                </tr>
            </div>
            </tbody>
        </table>
    </div>
    <div th:insert="fragments/footer :: footer"></div>
</body>
</html>